Start von msg-chumby-display gelingt nicht

Error message

Achtung: Sie benutzen einen veralteten Browser. Einige Teile von mysmartgrid.de können daher in ihrer Funktion beeinträchtigt sein. Bitte installieren Sie einen dieser Browser: Internet Explorer 8, Firefox 3, Safari 4, Chrome 15, Chromium 15, Opera Mobile 11, Android 2.3.4, Android 4.1 (oder eine neuere Version).

Da (wie bereits per Mail-Formular gemeldet) die automatische Erstellung des Chumby-Images derzeit nicht funkioniert, habe ich versucht, die Dateien aus dem git-Repository auf meinem Chumby zu installieren.

Ich habe mir https://github.com/mysmartgrid/msg-chumby-display in einen workspace gecloned.
Dann per scp auf den Chumby in /mnt/storage/usr übertragen.

Dann aufgerufen:

chumby:/mnt/storage/usr/etc# ./environment.sh
chumby:/mnt/storage/usr/etc# ./msg-init.rc
Starting msg-chumby-daemon
./msg-init.rc: line 22: /mnt/storage/usr/bin/lua: not found
httpd: chdir(/tmp/www): No such file or directory

Die Datei bin/lua existiert nicht. Ist das der lua Interpreter? Wo bekomme ich den für den Chumby her?

Gruß
Udo

Hallo Udo,

wie richtig erkannt fehlt hier der LUA-Interpreter. Eine Anleitung wie die Software für den Chumby gepackt werden muss, findet sich unter http://developer.mysmartgrid.de/doku.php?id=chumbyimagehowto .
Ältere Versionen der Software finden sich, bereits gepackt, unter http://developer.mysmartgrid.de/doku.php?id=chumbyimagedownload .

Gruß
Stephan